body {
  padding: 0;
  margin: 0;
  height: 100vh;
  font-family: sans-serif;
  overflow: hidden;
}

.buttons {
  position: absolute;
  right: 0;
  top: 0;
}
.buttons a {
  display: block;
  text-decoration: none;
  padding: 10px 20px;
  margin: 5px;
  background: #000;
  color: #ccc;
}

.sidebar {
  background: #1a1c1d;
  color: #787d80;
  width: 250px;
  height: 100%;
  text-align: center;
  transform-origin: left;
  transform-style: preserve-3d;
  transition: all 0.5s;
  overflow: hidden;
}
.sidebar.hideDown {
  transform: rotateY(90deg) skewY(10deg);
}
.sidebar.hideUp {
  transform: rotateY(90deg) skewY(-10deg);
}
.sidebar .sidebarHeader {
  padding: 20px 10px;
  font-weight: 700;
}
.sidebar ul {
  padding: 0;
  margin: 0;
  list-style-type: none;
}
.sidebar ul li {
  padding: 15px 10px;
}
.sidebar ul li a {
  text-decoration: none;
  color: inherit;
  transition: color 0.5s;
}
.sidebar ul li a:hover {
  color: #ccc;
}